DELIMITER mysolus$$
	DROP TABLE IF EXISTS CDM_Customer_CRM_Resp_Var ; 
CREATE OR REPLACE TABLE CDM_Customer_CRM_Resp_Var (
  Customer_Id bigint(20) NOT NULL,
  Is_Processed tinyint(4) NOT NULL DEFAULT -1,
  Last_Comm_Date date DEFAULT NULL,
  Last_Event_Id bigint(20) NOT NULL DEFAULT -1,
  Last_Comm_Template_Code smallint(6) NOT NULL DEFAULT -1,
  Last_Voucher_Id bigint(20) NOT NULL DEFAULT -1,
  Offer_Code varchar(20) DEFAULT NULL,
  Current_Voucher_Expiry_Date date DEFAULT NULL,
  No_Of_SMS_In_Last_7Days tinyint(4) NOT NULL DEFAULT -1,
  No_Of_SMS_In_Last_30Days tinyint(4) NOT NULL DEFAULT -1,
  Lt_No_Of_SMS tinyint(4) NOT NULL DEFAULT -1,
  No_Of_EMAIL_In_Last_7Days tinyint(4) NOT NULL DEFAULT -1,
  No_Of_EMAIL_In_Last_30Days tinyint(4) NOT NULL DEFAULT -1,
  Lt_No_Of_EMAIL tinyint(4) NOT NULL DEFAULT -1,
  No_Of_PN_In_Last_7Days tinyint(4) NOT NULL DEFAULT -1,
  No_Of_PN_In_Last_30Days tinyint(4) NOT NULL DEFAULT -1,
  Lt_No_Of_PN tinyint(4) NOT NULL DEFAULT -1,
  No_Of_Comm_In_Last_7Days tinyint(4) NOT NULL DEFAULT -1,
  No_Of_Comm_In_Last_30Days tinyint(4) NOT NULL DEFAULT -1,
  Lt_No_Of_Comm tinyint(4) NOT NULL DEFAULT -1,
  Created_Date timestamp NOT NULL DEFAULT current_timestamp(),
  Modified_Date datetime DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (Customer_Id),
  KEY Last_Comm_Date (Last_Comm_Date),
  KEY Last_Event_Id (Last_Event_Id),
  KEY Last_Comm_Template_Code (Last_Comm_Template_Code),
  KEY Last_Voucher_Id (Last_Voucher_Id),
  KEY Current_Voucher_Expiry_Date (Current_Voucher_Expiry_Date),
  KEY No_Of_SMS_In_Last_7Days (No_Of_SMS_In_Last_7Days),
  KEY No_Of_SMS_In_Last_30Days (No_Of_SMS_In_Last_30Days),
  KEY Lt_No_Of_SMS (Lt_No_Of_SMS),
  KEY No_Of_EMAIL_In_Last_7Days (No_Of_EMAIL_In_Last_7Days),
  KEY No_Of_EMAIL_In_Last_30Days (No_Of_EMAIL_In_Last_30Days),
  KEY Lt_No_Of_EMAIL (Lt_No_Of_EMAIL),
  KEY No_Of_PN_In_Last_7Days (No_Of_PN_In_Last_7Days),
  KEY No_Of_PN_In_Last_30Days (No_Of_PN_In_Last_30Days),
  KEY Lt_No_Of_PN (Lt_No_Of_PN),
  KEY No_Of_Comm_In_Last_7Days (No_Of_Comm_In_Last_7Days),
  KEY No_Of_Comm_In_Last_30Days (No_Of_Comm_In_Last_30Days),
  KEY Lt_No_Of_Comm (Lt_No_Of_Comm),
  KEY Is_Processed (Is_Processed),
  KEY Modified_Date (Modified_Date)
) ENGINE=InnoDB DEFAULT CHARSET=latin1
 PARTITION BY RANGE (Customer_Id)
(PARTITION p1 VALUES LESS THAN (1000000) ENGINE = InnoDB,
 PARTITION p2 VALUES LESS THAN (2000000) ENGINE = InnoDB,
 PARTITION p3 VALUES LESS THAN (3000000) ENGINE = InnoDB,
 PARTITION p4 VALUES LESS THAN (4000000) ENGINE = InnoDB,
 PARTITION p5 VALUES LESS THAN (5000000) ENGINE = InnoDB,
 PARTITION p6 VALUES LESS THAN (6000000) ENGINE = InnoDB,
 PARTITION p7 VALUES LESS THAN (7000000) ENGINE = InnoDB,
 PARTITION p8 VALUES LESS THAN (8000000) ENGINE = InnoDB,
 PARTITION p9 VALUES LESS THAN (9000000) ENGINE = InnoDB,
 PARTITION p10 VALUES LESS THAN (10000000) ENGINE = InnoDB,
 PARTITION p11 VALUES LESS THAN (11000000) ENGINE = InnoDB,
 PARTITION p12 VALUES LESS THAN (12000000) ENGINE = InnoDB,
 PARTITION p13 VALUES LESS THAN (13000000) ENGINE = InnoDB,
 PARTITION p14 VALUES LESS THAN (14000000) ENGINE = InnoDB,
 PARTITION p15 VALUES LESS THAN (15000000) ENGINE = InnoDB,
 PARTITION p16 VALUES LESS THAN (16000000) ENGINE = InnoDB,
 PARTITION p17 VALUES LESS THAN (17000000) ENGINE = InnoDB,
 PARTITION p18 VALUES LESS THAN (18000000) ENGINE = InnoDB,
 PARTITION p19 VALUES LESS THAN (19000000) ENGINE = InnoDB,
 PARTITION p20 VALUES LESS THAN (20000000) ENGINE = InnoDB,
 PARTITION p21 VALUES LESS THAN (21000000) ENGINE = InnoDB,
 PARTITION p22 VALUES LESS THAN (22000000) ENGINE = InnoDB,
 PARTITION p23 VALUES LESS THAN (23000000) ENGINE = InnoDB,
 PARTITION p24 VALUES LESS THAN (24000000) ENGINE = InnoDB,
 PARTITION p25 VALUES LESS THAN (25000000) ENGINE = InnoDB,
 PARTITION p26 VALUES LESS THAN (26000000) ENGINE = InnoDB,
 PARTITION p27 VALUES LESS THAN (27000000) ENGINE = InnoDB,
 PARTITION p28 VALUES LESS THAN (28000000) ENGINE = InnoDB,
 PARTITION p29 VALUES LESS THAN (29000000) ENGINE = InnoDB,
 PARTITION p30 VALUES LESS THAN (30000000) ENGINE = InnoDB,
 PARTITION p31 VALUES LESS THAN (31000000) ENGINE = InnoDB,
 PARTITION p32 VALUES LESS THAN (32000000) ENGINE = InnoDB,
 PARTITION p33 VALUES LESS THAN (33000000) ENGINE = InnoDB,
 PARTITION p34 VALUES LESS THAN (34000000) ENGINE = InnoDB,
 PARTITION p35 VALUES LESS THAN (35000000) ENGINE = InnoDB,
 PARTITION p36 VALUES LESS THAN (36000000) ENGINE = InnoDB,
 PARTITION p37 VALUES LESS THAN (37000000) ENGINE = InnoDB,
 PARTITION p38 VALUES LESS THAN (38000000) ENGINE = InnoDB,
 PARTITION p39 VALUES LESS THAN (39000000) ENGINE = InnoDB,
 PARTITION p40 VALUES LESS THAN (40000000) ENGINE = InnoDB,
 PARTITION p100 VALUES LESS THAN MAXVALUE ENGINE = InnoDB);

mysolus$$
